Class | ActiveMerchant::Billing::SecurePayTechGateway
In: | lib/active_merchant/billing/gateways/secure_pay_tech.rb
Parent: | Gateway

### Methods

new purchase

### Classes and Modules

Class ActiveMerchant::Billing::SecurePayTechGateway::SecurePayTechPostData

### Constants

URL | = | 'https://tx.securepaytech.com/web/HttpPostPurchase'
PAYMENT_GATEWAY_RESPONSES | = | { 1 => "Transaction OK", 2 => "Insufficient funds", 3 => "Card expired", 4 => "Card declined", 5 => "Server error", 6 => "Communications error", 7 => "Unsupported transaction type", 8 => "Bad or malformed request", 9 => "Invalid card number"

### Public Class methods

new(options = {})

### Public Instance methods

purchase(money, creditcard, options = {})

[Validate]